%global         _build_id_links none
%global         debug_package %{nil}
%global         pkgname wps-office-fix
%define         VERSION 1.0.2
Name:           %{pkgname}
Version:        %{VERSION}
Release:        1%{?dist}
Summary:        WPS Office Fix

License:        MIT
URL:            https://github.com/JamesBrosy/%{pkgname}
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz


%description
Fix some problems of WPS Office after installation

%prep
%autosetup

%build

%install
mkdir -p %{buildroot}%{_datadir}/fonts/wps-office
mkdir -p %{buildroot}/opt/kingsoft/wps-office/office6
install fonts/*.ttf %{buildroot}%{_datadir}/fonts/wps-office
install libfreetype/%{_arch}/* %{buildroot}/opt/kingsoft/wps-office/office6
cd %{buildroot}/opt/kingsoft/wps-office/office6 && ln -s libfreetype.so.6.18.3 libfreetype.so.6 && cd -

%files
%doc LICENSE
%{_datadir}/fonts/wps-office/*.ttf
/opt/kingsoft/wps-office/office6/libfreetype.so.*

%changelog
%autochangelog
